package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipRelDelivery;

import java.util.List;

/**
 * <p>
 * 试验耗材采购关联表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-27
 */
public interface ILmsEquipRelDeliveryService extends IBaseService<LmsEquipRelDelivery> {

    Page<LmsEquipRelDelivery> page(Page<LmsEquipRelDelivery> page, LmsEquipRelDelivery lmsEquipRelDelivery);


    boolean saveTempDeliveryByIds(Long[] equipIds, LmsEquipRelDelivery lmsEquipRelDelivery);



    List<String> searchLike(String item, String name);


    Page<LmsEquipRelDelivery> pageTemp(Page<LmsEquipRelDelivery> page, LmsEquipRelDelivery lmsEquipRelDelivery);


    boolean updateOrderStatusFromTemp(Long orderId, boolean approve,int status);

    boolean modifyStatusByOrderId(Long orderId, int status);
}
